Subject: Re: [PATCH] kexec-tools, ppc64: fix build error on ppc64

From: Simon Horman <[email-masked]>
Date: Wed, 5 May 2010 13:39:29 +1000

On Wed, May 05, 2010 at 01:35:21PM +1000, Michael Neuling wrote:
> 
> 
> In message <[email-masked]> you wrote:
> > On Wed, May 05, 2010 at 11:48:53AM +1000, Michael Neuling wrote:
> > > 6adc05c6e3fdbc8b9f5d915af78ca05d0a09cb17 "some kexec MIPS
> > > improvements" broke pp64 as it turned on -Werror for all archs.
> > > 
> > > This fixes the warning and hence ppc64 building.
> > 
> > Thanks.
> > 
> > While I'm very much in favour of using -Werror for testing
> > and these kind of patches are great, I think that -Werror
> > by default is rather silly. We can't control what will be
> > a warning in the future and sometimes fixing warnings isn't
> > appropriate - for instance there are warnings in fs2dt.c at
> > the moment, that is currently considered an upstream problem.
> > 
> > In short, this patch is great. But I plan to also remove -Werror
> > as the default now that its been brought to my attention.
> 
> Cool.  My second patch should do this for all but MIPS.

Unfortunately the second patch breaks make tarball.
For now I have committed the following:

>>From 76beff0507360f3001e23c9b4c765ef56384d5d5 Mon Sep 17 00:00:00 2001
From: Simon Horman <[email-masked]>
Date: Wed, 5 May 2010 13:33:21 +1000
Subject: [PATCH] build: Don't modify CFLAGS in kexec/arch/mips/Makefile

Revert this portion of recent MIPS changes as it actually effects the
CFLAGS for all architectures.  Moreover I'm somewhat dubious about
defaulting to -Werror for any architecture.

Signed-off-by: Simon Horman <[email-masked]>
---
 kexec/arch/mips/Makefile |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

diff --git a/kexec/arch/mips/Makefile b/kexec/arch/mips/Makefile
index 831b263..03bdb9a 100644
--- a/kexec/arch/mips/Makefile
+++ b/kexec/arch/mips/Makefile
@@ -14,5 +14,3 @@ dist += kexec/arch/mips/Makefile $(mips_KEXEC_SRCS)			\
 	kexec/arch/mips/kexec-mips.h					\
 	kexec/arch/mips/crashdump-mips.h				\
 	kexec/arch/mips/include/arch/options.h
-
-CFLAGS +=-Wall -Werror
-- 
1.7.1